classification
Title: Tix CheckList 'radio' option cannot be changed
Type: behavior Stage: test needed
Components: Tkinter Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: gpolo, loewis, ray_maple
Priority: normal Keywords: patch

Created on 2005-08-15 01:09 by ray_maple, last changed 2009-08-18 15:37 by gpolo. This issue is now closed.

Files
File name Uploaded Description Edit
issue1259434.diff gpolo, 2009-06-21 22:03
Messages (4)
msg60801 - (view) Author: Raymond Maple (ray_maple) Date: 2005-08-15 01:09
The 'radio' option to the Tix.CheckList widget cannot
be set.  Attempting to change the option during widget
creation results in the following error:

_tkinter.TclError: cannot assigned to static variable
"-radio"

The radio option is declared static in the Tix tcl
library, and must be set at widget creation time.  The
radio option is not included in the list of static
options passed to TixWidget.__init__ from
CheckList.__init__ in file Tix.py. 

Solution:

Add 'radio' to the list of static options passed to
TixWidget.__init__ in Tix.py.  Output from diff -C 1:

*** 1562,1564 ****
          TixWidget.__init__(self, master, 'tixCheckList',
!                            ['options'], cnf, kw)
          self.subwidget_list['hlist'] =
_dummyHList(self, 'hlist')
--- 1562,1564 ----
          TixWidget.__init__(self, master, 'tixCheckList',
!                            ['options','radio'], cnf, kw)
          self.subwidget_list['hlist'] =
_dummyHList(self, 'hlist')

msg89589 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-06-21 22:03
Just adding patch as a .diff
msg91689 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-18 13:33
Committed on r74509.
msg91703 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-18 15:37
py3k branch: r74518.
History
Date User Action Args
2009-08-18 15:37:21gpolosetresolution: accepted -> fixed
messages: + msg91703
2009-08-18 13:33:49gpolosetstatus: open -> closed
resolution: accepted
messages: + msg91689
2009-06-21 22:03:35gpolosetfiles: + issue1259434.diff
versions: + Python 3.1, Python 2.7, - Python 2.6
nosy: + gpolo

messages: + msg89589

keywords: + patch
2009-02-16 00:26:55ajaksu2setstage: test needed
type: behavior
versions: + Python 2.6, - Python 2.4
2005-08-15 01:09:08ray_maplecreate